#!/bin/sh
#***********************************************************************#
#                                                                       #
#                               NOTICE                                  #
#                                                                       #
#                  COPYRIGHT 2012 QLOGIC CORPORATION                    #
#                        ALL RIGHTS RESERVED                            #
#                                                                       #
#  This computer program is CONFIDENTIAL  and contains TRADE SECRETS of #
#  QLOGIC CORPORATION.  The  receipt or possession of this program does #
#  not convey any rights to reproduce or disclose  its contents,  or to #
#  manufacture, use, or sell anything that it may describe, in whole or #
#  in part, without the specific written consent of QLOGIC CORPORATION. #
#  Any reproduction of this program without the express written consent #
#  of QLOGIC CORPORATION  is a violation of the copyright laws and  may #
#  subject you to civil liability and criminal prosecution.             #
#                                                                       #
#***********************************************************************#
#set -x

UDEV_OP="/sbin/udevadm control --reload-rules"
UDEV_UINSTALL=1

UDEV_EARLY_RULE=/etc/udev/rules.d/05-udev-early.rules
UDEV_TMP_RULE=/tmp/tmp.rules

udevd=`ls -St /sbin/udev* | grep 'udevcontrol'`
if [ -n "$udevd" ]; then
        UDEV_OP="udevcontrol reload_rules"
else
        udevd=`ls -St /sbin/udev* | grep 'udevadm'`
        if [ -z "$udevd" ]; then
                UDEV_UINSTALL=0
        fi
fi

if [ -e ${UDEV_EARLY_RULE} ]; then
	cat ${UDEV_EARLY_RULE} | sed "s/\#\(SUBSYSTEM==\"module\".*OPTIONS=\"ignore_device\".*\)/\1/" > ${UDEV_TMP_RULE}
	if [ -s ${UDEV_TMP_RULE} ]; then
		mv -f ${UDEV_TMP_RULE} ${UDEV_EARLY_RULE}
	fi
fi

if [ $UDEV_UINSTALL -eq 1 ]; then
	${UDEV_OP}
fi

